Mailinglist Archive: opensuse-factory (549 mails)

< Previous Next >
[opensuse-factory] unexpected / undocumented question during 11.1 -> 11.2 upgrade
  • From: Greg Freemyer <greg.freemyer@xxxxxxxxx>
  • Date: Mon, 9 Nov 2009 15:50:37 -0500
  • Message-id: <87f94c370911091250o551c70cdt4db865ee98ae3c2@xxxxxxxxxxxxxx>
Okay,

I decided to try out the <http://en.opensuse.org/Upgrade/11.2> process
via zypper. (I had been testing wagon, because I assumed others were
testing zyperr.)

Remember upgrade via zypper dup and wagon are both now supported.
This is not at all what I expected.

I first updated my repos as requested in:
<http://en.opensuse.org/Upgrade/11.2#CLI>

I then disabled the old repos and added the 11.2 repos. (See detail 1
below my sig for exactly how my repos were setup.)

I then tried the last of the preparation steps:

zypper refresh # Refresh the local metadata and repo contents
zypper in zypper # Pull in zypper from the 11.2 repository

It is the results of zypper in zypper that I find very unexpected.

At a minimum the Upgrade page needs to warn users to expect this
extreme behavior is what is expected. See below:

=========== Several pages of example output

sudo zypper refresh
Repository 'openSUSE 11.2 Non-OSS' is up to date.
Repository 'openSUSE 11.2 Oss' is up to date.
Repository 'openSUSE 11.2 Updates' is up to date.
All repositories have been refreshed.

gaf@tiger3-64bit:~> sudo zypper in zypper
Loading repository data...
Reading installed packages...
Resolving package dependencies...

The following packages are going to be upgraded:
bluez chmlib ghostscript-library gnokii gnome-main-menu gpsd gutenprint gvfs
gvfs-backends gvfs-fuse hwinfo kdebase4-runtime-branding-openSUSE
kdebase4-workspace-branding-openSUSE konversation konversation-lang libakonadi4
libarchive2 libblkid1 libblocxx6 libbluetooth3 libcdio_cdda0 libcdio_paranoia0
libdjvulibre21 libgvfscommon0 libldapcpp1 libpisock9 libpoppler-qt4-3
libqdialogsolver1 libspectre1 libtidy libuuid1 libuuid-devel libzip1
libzypp limal
limal-ca-mgm limal-ca-mgm-perl limal-nfs-server limal-nfs-server-perl
limal-perl
NetworkManager NetworkManager-glib obex-data-server obexftp openobex
PackageKit
satsolver-tools sax2 sax2-gui sax2-libsax sax2-libsax-perl scpm
sg3_utils tsclient
util-linux x11-tools xorg-x11-libs-32bit yast2
yast2-control-center-gnome yast2-core
yast2-fingerprint-reader yast2-hardware-detection yast2-installation
yast2-ldap
yast2-libyui yast2-mouse yast2-ncurses yast2-ncurses-pkg
yast2-nis-client
yast2-perl-bindings yast2-pkg-bindings yast2-profile-manager yast2-qt
yast2-qt-pkg
yast2-slp yast2-sound yast2-storage yast2-transfer yast2-users
yast2-xml
yast2-ycp-ui-bindings zypper


The following packages are going to be downgraded:
akonadi-runtime akregator ark digikam dolphin gwenview kaddressbook
kde4-webkitpart
kdeartwork4-screensaver kdebase4 kdebase4-runtime kdebase4-workspace
kdebluetooth4
kdegraphics4 kdepim4 kdepim4-wizards kdepimlibs4 kdm kget kipi-plugins
kmail kmix knode
knotes konqueror-plugins kontact korganizer ktorrent kwalletmanager
kwin
libakonadiprotocolinternals1 libepub0 libgimpprint libgpod4
libgpod-tools libkdcraw7
libkdepim4 libkdepimlibs4 libkexiv2-7 libkipi6
libknotificationitem-1-1 libksane0
libmal libqimageblitz4 libssh3 marble okular plasma-addons
plasma-addons-marble
python-kde4


The following NEW packages are going to be installed:
augeas-lenses boost-license1_39_0 bundle-lang-common-ar bundle-lang-gnome-ca
bundle-lang-gnome-extras-en clucene-core-32bit DeviceKit-disks
device-mapper-32bit
evolution-data-server-32bit file-32bit giflib-32bit gnome-panel-32bit
kdm-branding-upstream libatasmart4 libaugeas0
libboost_program_options1_39_0
libcdio10-32bit libeggdbus-1-0 libelf1-32bit libexif-32bit
libexiv2-5-32bit
libfprint0-32bit libfuse2-32bit libgdu0 libgmp3-32bit
libgnome-desktop-2-11-32bit
libgnome-menu2-32bit libgnutls26-32bit libgomp44-32bit
libgpgme11-32bit
libgphoto2-32bit libgtop-2_0-7-32bit libgudev-1_0-0-32bit
libgweather1-32bit
libical0-32bit libieee1284-32bit libiw30 libkde4-32bit
libkdecore4-32bit
libkonq5-32bit liblua5_1-32bit liblzma0-32bit libMagickCore2-32bit
libmysqlclient_r16-32bit libnl-32bit libpackagekit-glib12
libpcsclite1-32bit
libphonon4-32bit libpixman-1-0-32bit libpolkit0 libpolkit-qt0-32bit
libpoppler5
libpopt0-32bit libproxy0-32bit libpth20-32bit libqca2-32bit
libqt4-32bit
libqt4-qt3support-32bit libqt4-sql-32bit libqt4-sql-mysql-32bit
libqt4-sql-sqlite-32bit libqt4-x11-32bit libQtWebKit4-32bit
libreadline6-32bit
libreiserfs-32bit libslab0 libsoprano4-32bit libsoup-2_4-1-32bit
libstdc++44-32bit
libstorage libstrigi0-32bit libudev0-32bit libunique-1_0-0
libwnck-1-22-32bit
libx86emu1 libxklavier15 mhash openslp-32bit parted-32bit perl-32bit
PolicyKit-32bit
polkit rpm-32bit sane-backends-32bit startup-notification-32bit
taglib-32bit
utempter-32bit xorg-x11-libXdmcp-32bit yast2-dbus-client


The following packages are going to be REMOVED:
3ddiag kdebase3-SuSE kdebase3-SuSE-lang kdebluetooth
kdebluetooth-lang kdepim3
kdepim3-kpilot kdepim3-notes kdm-branding-respin kgpg kitchensync
kopete
kopete-protocol-facebook libpackagekit-glib10 libstdc++43-32bit
libxklavier
uuid-runtime yast2-storage-lib


The following packages are going to change architecture:
akonadi-runtime akregator ark bluez chmlib digikam ghostscript-library gnokii
gnome-main-menu gpsd gutenprint gvfs gvfs-backends gvfs-fuse gwenview hwinfo
kaddressbook kde4-webkitpart kdeartwork4-screensaver kdebase4 kdebase4-runtime
kdebase4-workspace kdebluetooth4 kdegraphics4 kdepim4 kdepim4-wizards
kdepimlibs4 kdm
kget kipi-plugins kmail kmix knode knotes konqueror-plugins kontact
konversation
konversation-lang korganizer ktorrent kwalletmanager kwin libakonadi4
libakonadiprotocolinternals1 libarchive2 libblocxx6 libbluetooth3
libcdio_cdda0
libcdio_paranoia0 libdjvulibre21 libepub0 libgimpprint libgpod4
libgpod-tools
libgvfscommon0 libkdcraw7 libkdepim4 libkdepimlibs4 libkexiv2-7
libkipi6
libknotificationitem-1-1 libksane0 libldapcpp1 libmal libpisock9
libpoppler-qt4-3
libqdialogsolver1 libqimageblitz4 libspectre1 libssh3 libtidy libzip1
libzypp limal
limal-ca-mgm limal-ca-mgm-perl limal-nfs-server limal-nfs-server-perl
limal-perl
marble NetworkManager NetworkManager-glib obex-data-server obexftp
okular openobex
PackageKit plasma-addons plasma-addons-marble python-kde4 satsolver-tools sax2
sax2-gui sax2-libsax sax2-libsax-perl scpm sg3_utils tsclient
yast2-control-center-gnome yast2-core yast2-fingerprint-reader
yast2-hardware-detection yast2-ldap yast2-libyui yast2-ncurses yast2-ncurses-pkg
yast2-nis-client yast2-perl-bindings yast2-pkg-bindings yast2-profile-manager
yast2-qt yast2-qt-pkg yast2-slp yast2-sound yast2-storage
yast2-transfer yast2-users
yast2-xml yast2-ycp-ui-bindings zypper


The following packages are going to change vendor:
akonadi-runtime akregator ark digikam dolphin gwenview kaddressbook
kde4-webkitpart
kdeartwork4-screensaver kdebase4 kdebase4-runtime
kdebase4-runtime-branding-openSUSE kdebase4-workspace
kdebase4-workspace-branding-openSUSE kdebluetooth4 kdegraphics4 kdepim4
kdepim4-wizards kdepimlibs4 kdm kget kipi-plugins kmail kmix knode knotes
konqueror-plugins kontact konversation konversation-lang korganizer ktorrent
kwalletmanager kwin libakonadiprotocolinternals1 libepub0 libgpod4 libgpod-tools
libkdcraw7 libkdepim4 libkdepimlibs4 libkexiv2-7 libkipi6
libknotificationitem-1-1
libksane0 libmal libqimageblitz4 libssh3 marble okular plasma-addons
plasma-addons-marble python-kde4


Overall download size: 172.8 M. After the operation, additional 53.4 M
will be used.
Continue? [Y/n/p/?]:

===============
Is that all right?

Greg
==

detail 1)

sudo zypper ls -d
# | Alias | Name | Enabled |
Refresh | Priority | Type | URI
---+--------------------------+--------------------------+---------+---------+----------+--------+---------------------------------------------------------------------------------------
1 | KDE:KDE4:Factory:Desktop | KDE:KDE4:Factory:Desktop | No |
Yes | 99 | rpm-md |
http://download.opensuse.org/repositories/KDE:/KDE4:/Factory:/Desktop/openSUSE_11.1/
2 | KDE:Qt | KDE:Qt | No |
Yes | 99 | rpm-md |
http://download.opensuse.org/repositories/KDE:/Qt/openSUSE_11.1/
3 | OpenOffice.org:STABLE | OpenOffice.org:STABLE | No |
Yes | 99 | rpm-md |
http://download.opensuse.org/repositories/OpenOffice.org:/STABLE/openSUSE_11.1/
4 | Packman_Repository_1 | Packman_Repository | No |
No | 99 | rpm-md |
http://ftp.skynet.be/pub/packman/suse/11.1/
5 | games | games | No |
Yes | 99 | rpm-md |
http://download.opensuse.org/repositories/games/openSUSE_11.1/
6 | home:Spyhawk | home:Spyhawk | No |
Yes | 99 | rpm-md |
http://download.opensuse.org/repositories/home:/Spyhawk/openSUSE_11.1/
7 | kde_factory_debug | kde factory debug | No |
Yes | 99 | yast2 |
http://download.opensuse.org/factory/repo/debug/
8 | mozilla | mozilla | No |
Yes | 99 | rpm-md |
http://download.opensuse.org/repositories/mozilla/openSUSE_11.1/
9 | multimedia | multimedia | No |
No | 99 | rpm-md |
http://download.opensuse.org/repositories/multimedia:/audio:/KMP/openSUSE_11.1_Update/
10 | nomad | nomad | No |
Yes | 99 | rpm-md |
http://download.opensuse.org/repositories/home:/dreveman:/nomad/openSUSE_11.1
11 | openSUSE-11.0-Non-Oss | openSUSE-11.1-Non-Oss | No |
No | 99 | yast2 |
http://download.opensuse.org/distribution/11.1/repo/non-oss/
12 | openSUSE-11.1-Updates | openSUSE-11.1-Updates | No |
Yes | 99 | rpm-md | http://download.opensuse.org/update/11.1
13 | openSUSE:11.0_1 | openSUSE:11.1 | No |
No | 99 | yast2 |
http://download.opensuse.org/distribution/11.1/repo/oss/
14 | openSUSE:11.1:NonFree | openSUSE:11.1:NonFree | No |
Yes | 99 | yast2 |
http://download.opensuse.org/repositories/openSUSE:/11.1:/NonFree/standard/
15 | openSUSE_11.2_Non-OSS | openSUSE 11.2 Non-OSS | Yes |
Yes | 99 | yast2 |
http://download.opensuse.org/distribution/11.2/repo/non-oss
16 | openSUSE_11.2_Oss | openSUSE 11.2 Oss | Yes |
Yes | 99 | yast2 |
http://download.opensuse.org/distribution/11.2/repo/oss/
17 | openSUSE_11.2_Updates | openSUSE 11.2 Updates | Yes |
Yes | 99 | rpm-md |
http://download.opensuse.org/update/11.2/
18 | repo-source | openSUSE-11.1-Source | No |
Yes | 100 | yast2 |
http://download.opensuse.org/source/distribution/11.1/repo/oss/
19 | repo-update | openSUSE-11.1-Update | No |
Yes | 20 | rpm-md |
http://download.opensuse.org/update/11.1/
20 | xrdp | xrdp | No |
Yes | 99 | rpm-md |
http://download.opensuse.org/repositories/home:/hfiguiere:/Factory/openSUSE_11.1/
--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-factory+help@xxxxxxxxxxxx

< Previous Next >